Skip to main content
GET
/
users
List all users
curl --request GET \
  --url https://api.samsara.com/users \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "authType": "default",
      "email": "user@company.com",
      "id": "123",
      "name": "Bob Smith",
      "roles": [
        {
          "expireAt": "2025-08-13T19:08:25Z",
          "role": {
            "id": "8a9371af-82d1-4158-bf91-4ecc8d3a114c",
            "name": "Full Admin"
          },
          "tag": {
            "id": "3914",
            "name": "East Coast",
            "parentTagId": "4815"
          }
        }
      ]
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int64>

The limit for how many objects will be in the response. Default and max for this value is 512 objects.

Required range: 1 <= x <= 512
after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

List all users.

A list of users.

data
object[]

A list of users.

pagination
object

Pagination parameters.